summaryrefslogtreecommitdiffstats
path: root/EmulatorPkg
diff options
context:
space:
mode:
authorJordan Justen <jordan.l.justen@intel.com>2017-06-01 16:42:38 -0700
committerJordan Justen <jordan.l.justen@intel.com>2017-06-02 17:44:00 -0700
commita04ec6d9f70f7eedf5ab49b098970245270fa594 (patch)
tree2efe69419abd621d9a21c14e5c0dae606c287174 /EmulatorPkg
parentb0b626ea2f16faca9f864599384fd184a89e0195 (diff)
downloadedk2-a04ec6d9f70f7eedf5ab49b098970245270fa594.tar.gz
edk2-a04ec6d9f70f7eedf5ab49b098970245270fa594.tar.bz2
edk2-a04ec6d9f70f7eedf5ab49b098970245270fa594.zip
EmulatorPkg/build.sh: Merge GCC toolchain detection from OVMF
Contributed-under: TianoCore Contribution Agreement 1.0 Signed-off-by: Jordan Justen <jordan.l.justen@intel.com> Cc: Laszlo Ersek <lersek@redhat.com> Reviewed-by: Laszlo Ersek <lersek@redhat.com>
Diffstat (limited to 'EmulatorPkg')
-rwxr-xr-xEmulatorPkg/build.sh11
1 files changed, 9 insertions, 2 deletions
diff --git a/EmulatorPkg/build.sh b/EmulatorPkg/build.sh
index 7f74391120..339c6b3b4f 100755
--- a/EmulatorPkg/build.sh
+++ b/EmulatorPkg/build.sh
@@ -93,6 +93,13 @@ case `uname` in
gcc_version=$(gcc -v 2>&1 | tail -1 | awk '{print $3}')
case $gcc_version in
+ [1-3].*|4.[0-3].*)
+ echo EmulatorPkg requires GCC4.4 or later
+ exit 1
+ ;;
+ 4.4.*)
+ TARGET_TOOLS=GCC44
+ ;;
4.5.*)
TARGET_TOOLS=GCC45
;;
@@ -105,11 +112,11 @@ case `uname` in
4.8.*)
TARGET_TOOLS=GCC48
;;
- 4.9.*|4.1[0-9].*|5.*.*)
+ 4.9.*|6.[0-2].*)
TARGET_TOOLS=GCC49
;;
*)
- TARGET_TOOLS=GCC44
+ TARGET_TOOLS=GCC5
;;
esac
;;